#ifndef FLOW_PUB_H
#define FLOW_PUB_H

/* use READ_BUF_NUM buffers with sizeof READ_BUF_SIZE to buffer data read from 
 * AF_CAPTURE socket and later process the buffers and send out 
 */
#define READ_BUF_SIZE	32000
#define READ_BUF_NUM	256

#define SEND_BUF_SIZE	6400

#define FLUSH_INTERVAL	5

#define MAX_FREE_COUNT	60000
#define FREE_COUNT_RATIO 0.75   /* should between 0 and 1 */
#define ALLOC_FREENODE_ONETIME	1000

#define LOGFILE		"flow.log"
#define PIDFILE		"/var/run/lfd.pid"
#define LOGENABLE	0

#define EXIT_ERROR	1
#define EXIT_SUCCESS	0

#endif 

